from ctypes import * 

class ACQSTATUS(Structure):
    _fields_ = [("started", c_ulong),   #aquisition status
                ("maxval", c_ulong),    #maxval
                ("cnt", c_double*8)]    #status: runtime in msec, ofls, 
                                        #total sum, roi sum, roi rate,sweeps,
                                        #starts

class ACQSETTING(Structure):
    _fields_ = [("range", c_long),
                ("cftfak", c_long),   #LOWORD: 256*cft factor(t_after_peak / t_to_peak); HIWORD:max pulse width for CFT
                ("roimin", c_long),   #lower ROI limit
                ("roimax", c_long),   #upper limit: roimin<=channel<roimax
                ("nregions", c_long), #number of regions
                ("caluse", c_long),   #bit0: 1 if calibration used, higher bits: formula
                ("calpoints", c_long),#number of calibration points
                ("param", c_long),    #(reserved:) for MAP and POS:LOWORD=x, HIWORD=y
                ("offset", c_long),   #(reserved:) zoomed MAPS: LOWORD: xoffset, HIWORD, yoffset
                ("xdim", c_long),     #(reserved:) x resolution of maps
                ("bitshift", c_ulong),#LOWORD:Binwidth=2^(bitshift); HIWORD: Threshold for Coinc
                ("active", c_long),   
                ("roipreset", c_double),#ROI preset value
                ("dummy1", c_double),
                ("dummy2", c_double),
                ("dummy3", c_double)]
                
class BOARDSETTING(Structure):          # This is a structure type describing special MCS6 hardware settings
    _fields_ = [("sweepmode", c_long),
                ("prena", c_long),  
                ("cycles", c_long),  
                ("sequences", c_long),
                ("syncout", c_long),
                ("digio", c_long),
                ("digval", c_long),
                ("dac0", c_long),#DAC0 value (START) 
                ("dac1", c_long),#DAC1 value (STOP 1)
                ("dac2", c_long),#DAC2 value (STOP 2)
                ("dac3", c_long),#DAC3 value (STOP 3)
                ("dac4", c_long),#DAC4 value (STOP 4) 
                ("dac5", c_long),#DAC5 value (STOP 5)
                ("fdac", c_int),
                ("tagbits", c_int),
                ("extclk", c_int),#use external clock
                ("maxchan", c_long),  
                ("serno", c_long),  
                ("ddruse", c_long),
                ("active", c_long),#module in system
                ("holdafter", c_double),
                ("swpreset", c_double),#sweep preset value
                ("fstchan", c_double),#acquisition delay
                ("timepreset", c_double)]#time preset      
